> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendhelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update customer



## OpenAPI

````yaml post /v1/customer
openapi: 3.0.0
info:
  title: Gym Management API
  version: 1.0.0
  description: >-
    API for managing gyms, customers, forms, and messages. All requests require
    an Authorization header with a Bearer token.
servers: []
security:
  - bearerAuth: []
paths:
  /v1/customer:
    post:
      tags:
        - Customers
      summary: Create or update customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomer'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
components:
  schemas:
    CreateCustomer:
      type: object
      properties:
        apiKey:
          type: string
        customer:
          type: object
          properties:
            phoneNumber:
              type: string
            firstName:
              type: string
            lastName:
              type: string
            email:
              type: string
        properties:
          type: object
          properties:
            values:
              type: object
              additionalProperties: true
        addToLists:
          type: array
          items:
            type: string
        removeFromLists:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token in the format **'Bearer &lt;token&gt;'**

````